Index: modules/core/m_mode.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/core/m_mode.c,v
retrieving revision 1.112.2.1
diff -b -u -r1.112.2.1 m_mode.c
--- modules/core/m_mode.c	2 Aug 2004 21:15:41 -0000	1.112.2.1
+++ modules/core/m_mode.c	19 Aug 2004 22:16:27 -0000
@@ -64,6 +64,7 @@
 };
 
 mapi_clist_av1 mode_clist[] = { &mode_msgtab, &tmode_msgtab, &bmask_msgtab, NULL };
+
 DECLARE_MODULE_AV1(mode, NULL, NULL, mode_clist, NULL, NULL, "$Revision: 1.112.2.1 $");
 
 /* bitmasks for error returns, so we send once per call */
@@ -78,11 +79,10 @@
 #define SM_ERR_RPL_D            0x00000200
 
 static void set_channel_mode(struct Client *, struct Client *,
-			     struct Channel *, struct membership *,
-			     int, const char **);
+			     struct Channel *, struct membership *, int, const char **);
 
 static int add_id(struct Client *source_p, struct Channel *chptr, 
-		  const char *banid, dlink_list *list, long mode_type);
+		  const char *banid, dlink_list * list, long mode_type);
 
 static struct ChModeChange mode_changes[BUFSIZE];
 static int mode_count;
@@ -166,8 +166,7 @@
 
 	if(!check_channel_name(dest))
 	{
-		sendto_one_numeric(source_p, ERR_BADCHANNAME,
-				   form_str(ERR_BADCHANNAME), parv[1]);
+		sendto_one_numeric(source_p, ERR_BADCHANNAME, form_str(ERR_BADCHANNAME), parv[1]);
 		return 0;
 	}
 
@@ -211,8 +210,7 @@
 				flood_endgrace(source_p);
 		}
 
-		set_channel_mode(client_p, source_p, chptr, msptr, 
-			         parc - n, parv + n);
+		set_channel_mode(client_p, source_p, chptr, msptr, parc - n, parv + n);
 	}
 
 	return 0;
@@ -232,8 +230,7 @@
 		return 0;
 	}
 
-	set_channel_mode(client_p, source_p, chptr, NULL,
-			 parc - 2, parv + 2);
+	set_channel_mode(client_p, source_p, chptr, NULL, parc - 2, parv + 2);
 
 	return 0;
 }
@@ -247,9 +244,7 @@
 	/* Now, try to find the channel in question */
 	if(!IsChanPrefix(parv[2][0]) || !check_channel_name(parv[2]))
 	{
-		sendto_one_numeric(source_p, ERR_BADCHANNAME,
-				   form_str(ERR_BADCHANNAME), 
-				   parv[2]);
+		sendto_one_numeric(source_p, ERR_BADCHANNAME, form_str(ERR_BADCHANNAME), parv[2]);
 		return 0;
 	}
 
@@ -268,8 +263,7 @@
 
 	if(IsServer(source_p))
 	{
-		set_channel_mode(client_p, source_p, chptr, NULL,
-				 parc - 3, parv + 3);
+		set_channel_mode(client_p, source_p, chptr, NULL, parc - 3, parv + 3);
 	}
 	else
 	{
@@ -279,8 +273,7 @@
 		if(is_deop(msptr))
 			return 0;
 
-		set_channel_mode(client_p, source_p, chptr, msptr, 
-			         parc - 3, parv + 3);
+		set_channel_mode(client_p, source_p, chptr, msptr, parc - 3, parv + 3);
 	}
 
 	return 0;
@@ -314,7 +307,7 @@
 	if(atol(parv[1]) > chptr->channelts)
 		return 0;
 
-	switch(parv[3][0])
+	switch (parv[3][0])
 	{
 		case 'b':
 			banlist = &chptr->banlist;
@@ -341,8 +334,7 @@
 	parabuf[0] = '\0';
 	s = LOCAL_COPY(parv[4]);
 
-	mlen = ircsprintf(modebuf, ":%s MODE %s +",
-			  source_p->name, chptr->chname);
+	mlen = ircsprintf(modebuf, ":%s MODE %s +", source_p->name, chptr->chname);
 	mbuf = modebuf + mlen;
 	pbuf = parabuf;
 
@@ -365,8 +357,7 @@
 			{
 				*mbuf = '\0';
 				*(pbuf - 1) = '\0';
-				sendto_channel_local(ALL_MEMBERS, chptr, "%s %s",
-						     modebuf, parabuf);
+				sendto_channel_local(ALL_MEMBERS, chptr, "%s %s", modebuf, parabuf);
 				sendto_server(client_p, chptr, needcap, CAP_TS6,
 					      "%s %s", modebuf, parabuf);
 
@@ -398,13 +389,11 @@
 	{
 		*mbuf = '\0';
 		*(pbuf - 1) = '\0';
-		sendto_channel_local(ALL_MEMBERS, chptr, "%s %s",
-				     modebuf, parabuf);
-		sendto_server(client_p, chptr, needcap, CAP_TS6,
-			      "%s %s", modebuf, parabuf);
+		sendto_channel_local(ALL_MEMBERS, chptr, "%s %s", modebuf, parabuf);
+		sendto_server(client_p, chptr, needcap, CAP_TS6, "%s %s", modebuf, parabuf);
 	}
 
-	sendto_server(client_p, chptr, CAP_TS6|needcap, NOCAPS, ":%s BMASK %ld %s %s :%s",
+	sendto_server(client_p, chptr, CAP_TS6 | needcap, NOCAPS, ":%s BMASK %ld %s %s :%s",
 		      source_p->id, (long) chptr->channelts, chptr->chname, parv[3], parv[4]);
 	return 0;
 }
@@ -417,7 +406,7 @@
  */
 static int
 add_id(struct Client *source_p, struct Channel *chptr, const char *banid,
-       dlink_list *list, long mode_type)
+       dlink_list * list, long mode_type)
 {
 	struct Ban *actualBan;
 	static char who[BANLEN];
@@ -458,8 +447,7 @@
 
 
 	if(IsPerson(source_p))
-		ircsprintf(who, "%s!%s@%s",
-			   source_p->name, source_p->username, source_p->host);
+		ircsprintf(who, "%s!%s@%s", source_p->name, source_p->username, source_p->host);
 	else
 		strlcpy(who, source_p->name, sizeof(who));
 
@@ -483,8 +471,7 @@
  * side effects - given id is removed from the appropriate list
  */
 static int
-del_id(struct Channel *chptr, const char *banid, dlink_list *list,
-       long mode_type)
+del_id(struct Channel *chptr, const char *banid, dlink_list * list, long mode_type)
 {
 	dlink_node *ptr;
 	struct Ban *banptr;
@@ -532,7 +519,7 @@
 	if(!(s && *s))
 		return splat;
 
-	for (; *s; ++s)
+	for(; *s; ++s)
 	{
 		if(IsSpace(*s))
 		{
@@ -571,7 +558,7 @@
 
 	nick = user = host = splat;
 
-	if((size_t)BUFSIZE - mask_pos < strlen(mask) + 5)
+	if((size_t) BUFSIZE - mask_pos < strlen(mask) + 5)
 		return NULL;
 
 	old_mask_pos = mask_pos;
@@ -665,7 +652,7 @@
 {
 	u_char *s, *t, c;
 
-	for (s = t = (u_char *) arg; (c = *s); s++)
+	for(s = t = (u_char *) arg; (c = *s); s++)
 	{
 		c &= 0x7f;
 		if(c != ':' && c > ' ')
@@ -688,7 +675,7 @@
 {
 	u_char *s, *t, c;
 
-	for (s = t = (u_char *) arg; (c = *s); s++)
+	for(s = t = (u_char *) arg; (c = *s); s++)
 	{
 		c &= 0x7f;
 		if((c != 0x0a) && (c != ':') && (c != 0x0d))
@@ -719,8 +706,18 @@
 	   int alevel, int parc, int *parn,
 	   const char **parv, int *errors, int dir, char c, long mode_type)
 {
-	if(alevel != CHFL_CHANOP)
+	if(alevel != CHFL_CHANOP && alevel != CHFL_HALFOP)
+	{
+		if(!(*errors & SM_ERR_NOOPS))
+			sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
+				   me.name, source_p->name, chptr->chname);
+		*errors |= SM_ERR_NOOPS;
+		return;
+	}
+
+	if((mode_type & MODE_PRIVATE) && alevel == CHFL_HALFOP)
 	{
+		/* stop the mode change if it's +p and this client is only halfopped */
 		if(!(*errors & SM_ERR_NOOPS))
 			sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
 				   me.name, source_p->name, chptr->chname);
@@ -775,7 +772,7 @@
 	int caps;
 	int mems;
 
-	switch(mode_type)
+	switch (mode_type)
 	{
 		case CHFL_BAN:
 			list = &chptr->banlist;
@@ -799,7 +796,7 @@
 			caps = CAP_EX;
 			
 			if(ConfigChannel.use_except || (dir == MODE_DEL))
-				mems = ONLY_CHANOPS;
+			mems = ONLY_CHANOPSHALFOPS;
 			else
 				mems = ONLY_SERVERS;
 			break;
@@ -817,14 +814,13 @@
 			caps = CAP_IE;
 
 			if(ConfigChannel.use_invex || (dir == MODE_DEL))
-				mems = ONLY_CHANOPS;
+			mems = ONLY_CHANOPSHALFOPS;
 			else
 				mems = ONLY_SERVERS;
 			break;
 
 		default:
-			sendto_realops_flags(UMODE_ALL, L_ALL,
-					     "chm_ban() called with unknown type!");
+		sendto_realops_flags(UMODE_ALL, L_ALL, "chm_ban() called with unknown type!");
 			return;
 			break;
 	}
@@ -836,7 +832,7 @@
 		*errors |= errorval;
 
 		/* non-ops cant see +eI lists.. */
-		if(alevel != CHFL_CHANOP && mode_type != CHFL_BAN)
+		if((alevel != CHFL_CHANOP && alevel != CHFL_HALFOP) && mode_type != CHFL_BAN)
 		{
 			if(!(*errors & SM_ERR_NOOPS))
 				sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
@@ -852,12 +848,11 @@
 				   me.name, source_p->name, chptr->chname,
 				   banptr->banstr, banptr->who, banptr->when);
 		}
-		sendto_one(source_p, form_str(rpl_endlist),
-			   me.name, source_p->name, chptr->chname);
+		sendto_one(source_p, form_str(rpl_endlist), me.name, source_p->name, chptr->chname);
 		return;
 	}
 
-	if(alevel != CHFL_CHANOP)
+	if(alevel != CHFL_CHANOP && alevel != CHFL_HALFOP)
 	{
 		if(!(*errors & SM_ERR_NOOPS))
 			sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
@@ -948,8 +943,7 @@
 	/* empty nick */
 	if(EmptyString(opnick))
 	{
-		sendto_one_numeric(source_p, ERR_NOSUCHNICK,
-				   form_str(ERR_NOSUCHNICK), "*");
+		sendto_one_numeric(source_p, ERR_NOSUCHNICK, form_str(ERR_NOSUCHNICK), "*");
 		return;
 	}
 
@@ -986,6 +980,19 @@
 		mode_changes[mode_count].arg = targ_p->name;
 		mode_changes[mode_count++].client = targ_p;
 
+		if(mstptr->flags & CHFL_HALFOP)
+		{
+			mstptr->flags &= ~CHFL_HALFOP;	/* don't keep this around. */
+			mode_changes[mode_count].letter = 'h';
+			mode_changes[mode_count].dir = MODE_DEL;
+			mode_changes[mode_count].caps = CAP_HOPS;
+			mode_changes[mode_count].nocaps = 0;
+			mode_changes[mode_count].mems = ALL_MEMBERS;
+			mode_changes[mode_count].id = targ_p->id;
+			mode_changes[mode_count].arg = targ_p->name;
+			mode_changes[mode_count++].client = targ_p;
+		}
+
 		mstptr->flags |= CHFL_CHANOP;
 		mstptr->flags &= ~CHFL_DEOPPED;
 	}
@@ -1005,6 +1012,93 @@
 }
 
 static void
+chm_halfop(struct Client *source_p, struct Channel *chptr,
+	   int alevel, int parc, int *parn,
+	   const char **parv, int *errors, int dir, char c, long mode_type)
+{
+	struct membership *mstptr;
+	const char *opnick;
+	struct Client *targ_p;
+
+	if((alevel != CHFL_CHANOP && chptr->mode.mode & MODE_PRIVATE) ||
+	   ((alevel != CHFL_CHANOP && alevel != CHFL_HALFOP) && !(chptr->mode.mode & MODE_PRIVATE)))
+	{
+		if(!(*errors & SM_ERR_NOOPS))
+			sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
+				   me.name, source_p->name, chptr->chname);
+		*errors |= SM_ERR_NOOPS;
+		return;
+	}
+
+	if((dir == MODE_QUERY) || (parc <= *parn))
+		return;
+
+	opnick = parv[(*parn)];
+	(*parn)++;
+
+	/* empty nick */
+	if(EmptyString(opnick))
+	{
+		sendto_one_numeric(source_p, ERR_NOSUCHNICK, form_str(ERR_NOSUCHNICK), "*");
+		return;
+	}
+
+	if((targ_p = find_chasing(source_p, opnick, NULL)) == NULL)
+	{
+		return;
+	}
+
+	mstptr = find_channel_membership(chptr, targ_p);
+
+	if(mstptr == NULL)
+	{
+		if(!(*errors & SM_ERR_NOTONCHANNEL))
+			sendto_one_numeric(source_p, ERR_USERNOTINCHANNEL,
+					   form_str(ERR_USERNOTINCHANNEL), opnick, chptr->chname);
+		*errors |= SM_ERR_NOTONCHANNEL;
+		return;
+	}
+
+	if(MyClient(source_p) && (++mode_limit > MAXMODEPARAMS))
+		return;
+
+	if(dir == MODE_ADD)
+	{
+		if(targ_p == source_p)
+			return;
+
+		/* always assume +o overrides +h */
+		if(mstptr->flags & CHFL_CHANOP)
+			return;
+
+		mode_changes[mode_count].letter = c;
+		mode_changes[mode_count].dir = MODE_ADD;
+		mode_changes[mode_count].caps = CAP_HOPS;
+		mode_changes[mode_count].nocaps = 0;
+		mode_changes[mode_count].mems = ALL_MEMBERS;
+		mode_changes[mode_count].id = targ_p->id;
+		mode_changes[mode_count].arg = targ_p->name;
+		mode_changes[mode_count++].client = targ_p;
+
+		mstptr->flags |= CHFL_HALFOP;
+		mstptr->flags &= ~CHFL_DEOPPED;
+	}
+	else
+	{
+		mode_changes[mode_count].letter = c;
+		mode_changes[mode_count].dir = MODE_DEL;
+		mode_changes[mode_count].caps = CAP_HOPS;
+		mode_changes[mode_count].nocaps = 0;
+		mode_changes[mode_count].mems = ALL_MEMBERS;
+		mode_changes[mode_count].id = targ_p->id;
+		mode_changes[mode_count].arg = targ_p->name;
+		mode_changes[mode_count++].client = targ_p;
+
+		mstptr->flags &= ~CHFL_HALFOP;
+	}
+}
+
+static void
 chm_voice(struct Client *source_p, struct Channel *chptr,
 	  int alevel, int parc, int *parn,
 	  const char **parv, int *errors, int dir, char c, long mode_type)
@@ -1013,7 +1107,7 @@
 	const char *opnick;
 	struct Client *targ_p;
 
-	if(alevel != CHFL_CHANOP)
+	if(alevel != CHFL_CHANOP && alevel != CHFL_HALFOP)
 	{
 		if(!(*errors & SM_ERR_NOOPS))
 			sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
@@ -1031,8 +1125,7 @@
 	/* empty nick */
 	if(EmptyString(opnick))
 	{
-		sendto_one_numeric(source_p, ERR_NOSUCHNICK, 
-				   form_str(ERR_NOSUCHNICK), "*");
+		sendto_one_numeric(source_p, ERR_NOSUCHNICK, form_str(ERR_NOSUCHNICK), "*");
 		return;
 	}
 
@@ -1092,7 +1185,7 @@
 	static char limitstr[30];
 	int limit;
 
-	if(alevel != CHFL_CHANOP)
+	if(alevel != CHFL_CHANOP && alevel != CHFL_HALFOP)
 	{
 		if(!(*errors & SM_ERR_NOOPS))
 			sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
@@ -1148,7 +1241,7 @@
 {
 	char *key;
 
-	if(alevel != CHFL_CHANOP)
+	if(alevel != CHFL_CHANOP && alevel != CHFL_HALFOP)
 	{
 		if(!(*errors & SM_ERR_NOOPS))
 			sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
@@ -1186,7 +1279,7 @@
 	}
 	else if(dir == MODE_DEL)
 	{
-		if (parc > *parn)
+		if(parc > *parn)
 			(*parn)++;
 
 		if(!(*chptr->mode.key))
@@ -1206,10 +1299,9 @@
 
 struct ChannelMode
 {
-	void (*func) (struct Client *source_p, struct Channel *chptr,
+	void (*func) (struct Client * source_p, struct Channel * chptr,
 		      int alevel, int parc, int *parn, 
-		      const char **parv, int *errors, int dir, 
-		      char c, long mode_type);
+		      const char **parv, int *errors, int dir, char c, long mode_type);
 	long mode_type;
 };
 
@@ -1256,7 +1348,7 @@
   {chm_ban,	CHFL_EXCEPTION },	/* e */
   {chm_nosuch,	0 },			/* f */
   {chm_nosuch,	0 },			/* g */
-  {chm_nosuch,	0 },			/* h */
+  {chm_halfop,	0 },     		/* h */
   {chm_simple,	MODE_INVITEONLY },	/* i */
   {chm_nosuch,	0 },			/* j */
   {chm_key,	0 },			/* k */
@@ -1283,6 +1375,8 @@
 {
 	if(!MyClient(source_p) || is_chanop(msptr))
 		return CHFL_CHANOP;
+	if(is_halfop(msptr))
+		return CHFL_HALFOP;
 
 	return CHFL_PEON;
 }
@@ -1295,8 +1389,7 @@
  */
 void
 set_channel_mode(struct Client *client_p, struct Client *source_p,
-		 struct Channel *chptr, struct membership *msptr,
-		 int parc, const char *parv[])
+		 struct Channel *chptr, struct membership *msptr, int parc, const char *parv[])
 {
 	static char modebuf[BUFSIZE];
 	static char parabuf[MODEBUFLEN];
@@ -1318,7 +1411,7 @@
 
 	alevel = get_channel_access(source_p, msptr);
 
-	for (; (c = *ml) != 0; ml++)
+	for(; (c = *ml) != 0; ml++)
 	{
 		switch (c)
 		{
@@ -1349,14 +1442,13 @@
 		return;
 
 	if(IsServer(source_p))
-		mlen = ircsprintf(modebuf, ":%s MODE %s ", 
-				  source_p->name, chptr->chname);
+		mlen = ircsprintf(modebuf, ":%s MODE %s ", source_p->name, chptr->chname);
 	else
 		mlen = ircsprintf(modebuf, ":%s!%s@%s MODE %s ",
 				  source_p->name, source_p->username, 
 				  source_p->host, chptr->chname);
 
-	for(j = 0, flags = ALL_MEMBERS; j < 2; j++, flags = ONLY_CHANOPS)
+	for(j = 0, flags = ALL_MEMBERS; j < 2; j++, flags = ONLY_CHANOPSHALFOPS)
 	{
 		cur_len = mlen;
 		mbuf = modebuf + mlen;
@@ -1365,17 +1457,16 @@
 		paracount = paralen = 0;
 		dir = MODE_QUERY;
 
-		for (i = 0; i < mode_count; i++)
+		for(i = 0; i < mode_count; i++)
 		{
-			if(mode_changes[i].letter == 0 ||
-			   mode_changes[i].mems != flags)
+			if(mode_changes[i].letter == 0 || mode_changes[i].mems != flags)
 				continue;
 
 			if(mode_changes[i].arg != NULL)
 			{
 				arglen = strlen(mode_changes[i].arg);
 
-				if(arglen > MODEBUFLEN-5)
+				if(arglen > MODEBUFLEN - 5)
 					continue;
 			}
 			else
@@ -1389,7 +1480,8 @@
 				*mbuf = '\0';
 
 				if(cur_len > mlen)
-					sendto_channel_local(flags, chptr, "%s %s", modebuf, parabuf);
+					sendto_channel_local(flags, chptr, "%s %s", modebuf,
+							     parabuf);
 				else
 					continue;
 
@@ -1432,4 +1524,3 @@
 	if(MyClient(source_p) || dlink_list_length(&serv_list) > 1)
 		send_cap_mode_changes(client_p, source_p, chptr, mode_changes, mode_count);
 }
-
Index: modules/core/m_nick.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/core/Attic/m_nick.c,v
retrieving revision 1.152.2.1
diff -b -u -r1.152.2.1 m_nick.c
--- modules/core/m_nick.c	3 Aug 2004 02:01:51 -0000	1.152.2.1
+++ modules/core/m_nick.c	19 Aug 2004 22:16:28 -0000
@@ -63,9 +63,11 @@
 };
 
 mapi_clist_av1 nick_clist[] = { &nick_msgtab, &uid_msgtab, NULL };
+
 DECLARE_MODULE_AV1(nick, NULL, NULL, nick_clist, NULL, NULL, "$Revision: 1.152.2.1 $");
 
-static int change_remote_nick(struct Client *, struct Client *, int, const char **, time_t, const char *);
+static int change_remote_nick(struct Client *, struct Client *, int, const char **, time_t,
+			      const char *);
 
 static int clean_nick(const char *, int loc_client);
 static int clean_username(const char *);
@@ -81,8 +83,7 @@
 				 struct Client *, int, const char **, 
 				 time_t, const char *, const char *);
 static int perform_nickchange_collides(struct Client *, struct Client *,
-				       struct Client *, int, const char **, 
-				       time_t, const char *);
+				       struct Client *, int, const char **, time_t, const char *);
 
 /* mr_nick()
  *       parv[0] = sender prefix
@@ -98,8 +99,7 @@
 	if(parc < 2 || EmptyString(parv[1]) || (parv[1][0] == '~'))
 	{
 		sendto_one(source_p, form_str(ERR_NONICKNAMEGIVEN),
-			   me.name, 
-			   EmptyString(source_p->name) ? "*" : source_p->name);
+			   me.name, EmptyString(source_p->name) ? "*" : source_p->name);
 		return 0;
 	}
 
@@ -132,9 +132,7 @@
 	if(hash_find_nd(nick))
 	{
 		sendto_one(source_p, form_str(ERR_UNAVAILRESOURCE),
-			me.name, 
-			EmptyString(source_p->name) ? "*" : source_p->name,
-			nick);
+			   me.name, EmptyString(source_p->name) ? "*" : source_p->name, nick);
 		return 0;
 	}
 
@@ -161,8 +159,7 @@
 
 	if(parc < 2 || EmptyString(parv[1]) || (parv[1][0] == '~'))
 	{
-		sendto_one(source_p, form_str(ERR_NONICKNAMEGIVEN),
-			   me.name, source_p->name);
+		sendto_one(source_p, form_str(ERR_NONICKNAMEGIVEN), me.name, source_p->name);
 		return 0;
 	}
 
@@ -183,24 +180,20 @@
 	/* check the nickname is ok */
 	if(!clean_nick(nick, 1))
 	{
-		sendto_one(source_p, form_str(ERR_ERRONEUSNICKNAME),
-			   me.name, parv[0], nick);
+		sendto_one(source_p, form_str(ERR_ERRONEUSNICKNAME), me.name, parv[0], nick);
 		return 0;
 	}
 
 	if(find_nick_resv(nick))
 	{
-		sendto_one(source_p, form_str(ERR_ERRONEUSNICKNAME),
-			   me.name, source_p->name, nick);
+		sendto_one(source_p, form_str(ERR_ERRONEUSNICKNAME), me.name, source_p->name, nick);
 		return 0;
 	}
 
 	if(hash_find_nd(nick))
 	{
 		sendto_one(source_p, form_str(ERR_UNAVAILRESOURCE),
-			me.name, 
-			EmptyString(source_p->name) ? "*" : source_p->name,
-			nick);
+			   me.name, EmptyString(source_p->name) ? "*" : source_p->name, nick);
 		return 0;
 	}
 
@@ -264,16 +257,13 @@
 		ServerStats->is_kill++;
 		sendto_realops_flags(UMODE_DEBUG, L_ALL,
 				     "Bad Nick: %s From: %s(via %s)",
-				     parv[1], source_p->user->server,
-				     client_p->name);
-		sendto_one(client_p, ":%s KILL %s :%s (Bad Nickname)",
-			   me.name, parv[1], me.name);
+				     parv[1], source_p->user->server, client_p->name);
+		sendto_one(client_p, ":%s KILL %s :%s (Bad Nickname)", me.name, parv[1], me.name);
 
 		/* bad nick change, issue kill for the old nick to the rest
 		 * of the network.
 		 */
-		kill_client_serv_butone(client_p, source_p,
-					"%s (Bad Nickname)", me.name);
+		kill_client_serv_butone(client_p, source_p, "%s (Bad Nickname)", me.name);
 		source_p->flags |= FLAGS_KILLED;
 		exit_client(client_p, source_p, &me, "Bad Nickname");
 		return 0;
@@ -322,8 +312,7 @@
 		sendto_realops_flags(UMODE_DEBUG, L_ALL,
 				     "Bad Nick: %s From: %s(via %s)",
 				     parv[1], parv[7], client_p->name);
-		sendto_one(client_p, ":%s KILL %s :%s (Bad Nickname)",
-			   me.name, parv[1], me.name);
+		sendto_one(client_p, ":%s KILL %s :%s (Bad Nickname)", me.name, parv[1], me.name);
 		return 0;
 	}
 			      
@@ -333,10 +322,8 @@
 		ServerStats->is_kill++;
 		sendto_realops_flags(UMODE_DEBUG, L_ALL,
 				"Bad user@host: %s@%s From: %s(via %s)",
-				parv[5], parv[6], parv[7],
-				client_p->name);
-		sendto_one(client_p, ":%s KILL %s :%s (Bad user@host)",
-				me.name, parv[1], me.name);
+				     parv[5], parv[6], parv[7], client_p->name);
+		sendto_one(client_p, ":%s KILL %s :%s (Bad user@host)", me.name, parv[1], me.name);
 		return 0;
 	}
 
@@ -346,8 +333,7 @@
 		char *s = LOCAL_COPY(parv[8]);
 		/* why exactly do we care? --fl */
 		sendto_realops_flags(UMODE_ALL, L_ALL,
-				"Long realname from server %s for %s", parv[7],
-				parv[1]);
+				     "Long realname from server %s for %s", parv[7], parv[1]);
 
 		s[REALLEN] = '\0';
 		parv[8] = s;
@@ -409,10 +395,8 @@
 		ServerStats->is_kill++;
 		sendto_realops_flags(UMODE_DEBUG, L_ALL,
 				     "Bad Nick: %s From: %s(via %s)",
-				     parv[1], source_p->name,
-				     client_p->name);
-		sendto_one(client_p, ":%s KILL %s :%s (Bad Nickname)",
-			   me.id, parv[8], me.name);
+				     parv[1], source_p->name, client_p->name);
+		sendto_one(client_p, ":%s KILL %s :%s (Bad Nickname)", me.id, parv[8], me.name);
 		return 0;
 	}
 
@@ -421,10 +405,8 @@
 		ServerStats->is_kill++;
 		sendto_realops_flags(UMODE_DEBUG, L_ALL,
 				     "Bad user@host: %s@%s From: %s(via %s)",
-				     parv[5], parv[6], source_p->name,
-				     client_p->name);
-		sendto_one(client_p, ":%s KILL %s :%s (Bad user@host)",
-			   me.id, parv[8], me.name);
+				     parv[5], parv[6], source_p->name, client_p->name);
+		sendto_one(client_p, ":%s KILL %s :%s (Bad user@host)", me.id, parv[8], me.name);
 		return 0;
 	}
 
@@ -433,10 +415,8 @@
 		ServerStats->is_kill++;
 		sendto_realops_flags(UMODE_DEBUG, L_ALL,
 					"Bad UID: %s From: %s(via %s)",
-					parv[8], source_p->name,
-					client_p->name);
-		sendto_one(client_p, ":%s KILL %s :%s (Bad UID)",
-				me.id, parv[8], me.name);
+				     parv[8], source_p->name, client_p->name);
+		sendto_one(client_p, ":%s KILL %s :%s (Bad UID)", me.id, parv[8], me.name);
 		return 0;
 	}
 
@@ -487,7 +467,7 @@
 	if(loc_client && IsDigit(*nick))
 		return 0;
 
-	for (; *nick; nick++)
+	for(; *nick; nick++)
 	{
 		len++;
 		if(!IsNickChar(*nick))
@@ -512,7 +492,7 @@
 {
 	int len = 0;
 
-	for (; *username; username++)
+	for(; *username; username++)
 	{
 		len++;
 
@@ -537,7 +517,7 @@
 {
 	int len = 0;
 
-	for (; *host; host++)
+	for(; *host; host++)
 	{
 		len++;
 
@@ -567,7 +547,7 @@
 			return 0;
 	}
 
-	if(len != IDLEN-1)
+	if(len != IDLEN - 1)
 		return 0;
 
 	return 1;
@@ -673,8 +653,7 @@
 		source_p->tsinfo = newts ? newts : CurrentTime;
 
 	sendto_common_channels_local(source_p, ":%s!%s@%s NICK :%s",
-				     source_p->name, source_p->username,
-				     source_p->host, nick);
+				     source_p->name, source_p->username, source_p->host, nick);
 
 	if(source_p->user)
 	{
@@ -723,8 +702,7 @@
 					me.id, uid, me.name);
 
 		/* we then need to KILL the old client everywhere */
-		kill_client_serv_butone(NULL, target_p,
-					"%s (Nick collision (new))", me.name);
+		kill_client_serv_butone(NULL, target_p, "%s (Nick collision (new))", me.name);
 		ServerStats->is_kill++;
 
 		target_p->flags |= FLAGS_KILLED;
@@ -867,8 +845,7 @@
 					   form_str(ERR_NICKCOLLISION), target_p->name);
 
 			/* kill the client who existed before hand */
-			kill_client_serv_butone(client_p, target_p, 
-					"%s (Nick collision)", me.name);
+			kill_client_serv_butone(client_p, target_p, "%s (Nick collision)", me.name);
 
 			ServerStats->is_kill++;
 
@@ -930,8 +907,7 @@
 		flag = user_modes_from_c_to_bitmask[(unsigned char) *m];
 
 		/* increment +i count if theyre invis */
-		if(!(source_p->umodes & UMODE_INVISIBLE) &&
-		   (flag & UMODE_INVISIBLE))
+		if(!(source_p->umodes & UMODE_INVISIBLE) && (flag & UMODE_INVISIBLE))
 			Count.invisi++;
 
 		/* increment opered count if theyre opered */
@@ -973,8 +949,7 @@
 				     "Bad User [%s] :%s USER %s@%s %s, != %s[%s]",
 				     client_p->name, source_p->name,
 				     source_p->username, source_p->host,
-				     user->server, target_p->name,
-				     target_p->from->name);
+				     user->server, target_p->name, target_p->from->name);
 		kill_client(client_p, source_p,
 			    "%s (NICK from wrong direction (%s != %s))",
 			    me.name, user->server, target_p->from->name);
@@ -984,4 +959,3 @@
 
 	return (introduce_client(client_p, source_p, user, nick));
 }
-
Index: modules/core/m_part.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/core/Attic/m_part.c,v
retrieving revision 1.91.4.1
diff -b -u -r1.91.4.1 m_part.c
--- modules/core/m_part.c	4 Aug 2004 00:21:14 -0000	1.91.4.1
+++ modules/core/m_part.c	19 Aug 2004 22:16:28 -0000
@@ -49,6 +49,7 @@
 };
 
 mapi_clist_av1 part_clist[] = { &part_msgtab, NULL };
+
 DECLARE_MODULE_AV1(part, NULL, NULL, part_clist, NULL, NULL, "$Revision: 1.91.4.1 $");
 
 static void part_one_client(struct Client *client_p,
@@ -79,7 +80,7 @@
 	if(MyClient(source_p) && !IsFloodDone(source_p))
 		flood_endgrace(source_p);
 
-	while (name)
+	while(name)
 	{
 		part_one_client(client_p, source_p, name, reason);
 		name = strtoken(&p, NULL, ",");
@@ -104,16 +105,14 @@
 
 	if((chptr = find_channel(name)) == NULL)
 	{
-		sendto_one_numeric(source_p, ERR_NOSUCHCHANNEL,
-				   form_str(ERR_NOSUCHCHANNEL), name);
+		sendto_one_numeric(source_p, ERR_NOSUCHCHANNEL, form_str(ERR_NOSUCHCHANNEL), name);
 		return;
 	}
 
 	msptr = find_channel_membership(chptr, source_p);
 	if(msptr == NULL)
 	{
-		sendto_one_numeric(source_p, ERR_NOTONCHANNEL,
-				   form_str(ERR_NOTONCHANNEL), name);
+		sendto_one_numeric(source_p, ERR_NOTONCHANNEL, form_str(ERR_NOTONCHANNEL), name);
 		return;
 	}
 
@@ -126,15 +125,13 @@
 	 */
 	if(reason[0] && (is_chanop(msptr) || !MyConnect(source_p) ||
 			 ((can_send(chptr, source_p, msptr) > 0 &&
-			   (source_p->localClient->firsttime + ConfigFileEntry.anti_spam_exit_message_time)
-			   < CurrentTime))))
+			   (source_p->localClient->firsttime +
+			    ConfigFileEntry.anti_spam_exit_message_time) < CurrentTime))))
 	{
 		sendto_server(client_p, chptr, CAP_TS6, NOCAPS,
-				":%s PART %s :%s",
-				use_id(source_p), chptr->chname, reason);
+			      ":%s PART %s :%s", use_id(source_p), chptr->chname, reason);
 		sendto_server(client_p, chptr, NOCAPS, CAP_TS6,
-				":%s PART %s :%s",
-				source_p->name, chptr->chname, reason);
+			      ":%s PART %s :%s", source_p->name, chptr->chname, reason);
 		sendto_channel_local(ALL_MEMBERS, chptr, ":%s!%s@%s PART %s :%s",
 					source_p->name, source_p->username,
 					source_p->host, chptr->chname, reason);
@@ -142,11 +139,9 @@
 	else
 	{
 		sendto_server(client_p, chptr, CAP_TS6, NOCAPS,
-				":%s PART %s",
-				use_id(source_p), chptr->chname);
+			      ":%s PART %s", use_id(source_p), chptr->chname);
 		sendto_server(client_p, chptr, NOCAPS, CAP_TS6,
-				":%s PART %s",
-				source_p->name, chptr->chname);
+			      ":%s PART %s", source_p->name, chptr->chname);
 		sendto_channel_local(ALL_MEMBERS, chptr, ":%s!%s@%s PART %s",
 					source_p->name, source_p->username,
 					source_p->host, chptr->chname);
Index: modules/core/m_quit.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/core/m_quit.c,v
retrieving revision 1.46.4.1
diff -b -u -r1.46.4.1 m_quit.c
--- modules/core/m_quit.c	4 Aug 2004 00:21:14 -0000	1.46.4.1
+++ modules/core/m_quit.c	19 Aug 2004 22:16:28 -0000
@@ -45,6 +45,7 @@
 };
 
 mapi_clist_av1 quit_clist[] = { &quit_msgtab, NULL };
+
 DECLARE_MODULE_AV1(quit, NULL, NULL, quit_clist, NULL, NULL, "$Revision: 1.46.4.1 $");
 
 /*
@@ -70,7 +71,8 @@
 	}
 
 	if(!IsOper(source_p) &&
-	   (source_p->localClient->firsttime + ConfigFileEntry.anti_spam_exit_message_time) > CurrentTime)
+	   (source_p->localClient->firsttime + ConfigFileEntry.anti_spam_exit_message_time) >
+	   CurrentTime)
 	{
 		exit_client(client_p, source_p, source_p, "Client Quit");
 		return 0;
Index: modules/core/m_server.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/core/m_server.c,v
retrieving revision 1.133
diff -b -u -r1.133 m_server.c
--- modules/core/m_server.c	29 Mar 2004 12:40:21 -0000	1.133
+++ modules/core/m_server.c	19 Aug 2004 22:16:28 -0000
@@ -58,6 +58,7 @@
 };
 
 mapi_clist_av1 server_clist[] = { &server_msgtab, &sid_msgtab, NULL };
+
 DECLARE_MODULE_AV1(server, NULL, NULL, server_clist, NULL, NULL, "$Revision: 1.133 $");
 
 int bogus_host(const char *host);
@@ -110,8 +111,7 @@
 			sendto_realops_flags(UMODE_ALL, L_ALL,
 					"Unauthorised server connection attempt from %s: "
 					"No entry for servername %s",
-					get_server_name(client_p, HIDE_IP),
-					name);
+					     get_server_name(client_p, HIDE_IP), name);
 
 			ilog(L_SERVER, "Access denied, No N line for server %s",
 			     log_client_name(client_p, SHOW_IP));
@@ -190,8 +190,7 @@
 	{
 		sendto_realops_flags(UMODE_ALL, L_ALL,
 				     "Attempt to re-introduce SID %s from %s%s",
-				     client_p->id, name,
-				     get_server_name(client_p, HIDE_IP));
+				     client_p->id, name, get_server_name(client_p, HIDE_IP));
 
 		sendto_one(client_p, "ERROR :SID already exists.");
 		exit_client(client_p, client_p, client_p, "SID Exists");
@@ -311,8 +310,7 @@
 	{
 		hub_p = ptr->data;
 
-		if(match(hub_p->server, client_p->name) &&
-		   match(hub_p->host, name))
+		if(match(hub_p->server, client_p->name) && match(hub_p->host, name))
 		{
 			if(hub_p->flags & CONF_HUB)
 				hlined++;
@@ -410,8 +408,7 @@
 			     "Server %s being introduced by %s", target_p->name, source_p->name);
 
 	/* quick, dirty EOB.  you know you love it. */
-	sendto_one(target_p, ":%s PING %s %s",
-			get_id(&me, target_p), me.name, target_p->name);
+	sendto_one(target_p, ":%s PING %s %s", get_id(&me, target_p), me.name, target_p->name);
 	return 0;
 }
 
@@ -478,8 +475,7 @@
 	{
 		hub_p = ptr->data;
 
-		if(match(hub_p->server, client_p->name) &&
-		   match(hub_p->host, parv[1]))
+		if(match(hub_p->server, client_p->name) && match(hub_p->host, parv[1]))
 		{
 			if(hub_p->flags & CONF_HUB)
 				hlined++;
@@ -536,16 +532,14 @@
 	sendto_server(client_p, NULL, CAP_TS6, NOCAPS,
 		      ":%s SID %s %d %s :%s%s",
 		      source_p->id, target_p->name, target_p->hopcount + 1,
-		      target_p->id,
-		      IsHidden(target_p) ? "(H) " : "", target_p->info);
+		      target_p->id, IsHidden(target_p) ? "(H) " : "", target_p->info);
 	sendto_server(client_p, NULL, NOCAPS, CAP_TS6,
 		      ":%s SERVER %s %d :%s%s",
 		      source_p->name, target_p->name, target_p->hopcount + 1,
 		      IsHidden(target_p) ? "(H) " : "", target_p->info);
 
 	sendto_realops_flags(UMODE_EXTERNAL, L_ALL,
-			     "Server %s being introduced by %s",
-			     target_p->name, source_p->name);
+			     "Server %s being introduced by %s", target_p->name, source_p->name);
 
 	/* quick, dirty EOB.  you know you love it. */
 	sendto_one(target_p, ":%s PING %s %s",
@@ -638,7 +632,7 @@
 	const char *s;
 	int dots = 0;
 
-	for (s = host; *s; s++)
+	for(s = host; *s; s++)
 	{
 		if(!IsServChar(*s))
 		{
